var a:array[0..25] of  integer;
    m:array[0..25] of  'a'..'z';
    c: char;
    i, j, k:integer;
begin
 for  i:= 0 to 25 do
  begin
   a[i]:=0;
   m[i]:=chr(ord('a')+i);
  end;
 read(c);
 while c<>'.' do
   begin
    a[ord(c) - ord('a')] := a[ord(c) - ord('a')] + 1;
    read(c);
   end;
for i:= 1 to 25 do
  for j:= 0 to 24 do
     if a[j]>a[j+1] then
    begin
    k:=a[j]; c:=m[j];
    a[j]:=a[j+1]; m[j]:=m[j+1];
    a[j+1]:=k; m[j+1]:=c
    end;
i:=0;
while a[i]=0 do i:=i+1;
for j:=i to 25 do
  write(m[j]);
writeln
end.



